from django.shortcuts import render
from django.http import HttpResponse
from datetime import date

from .models import User

def register(request):
    if date.today() >= date(2024, 4, 21):
        return HttpResponse("Too late!", status_code=400)
    if not request.POST['agreement']:
        raise HttpResponse("Je potřeba souhlasit se zpracováním údajů!", status_code=400)
    user = User(first_name=request.POST['first_name'], last_name=request.POST['last_name'], email=request.POST['email'])
    user.save()
