from django.db import models


class User(models.Model):
    first_name = models.CharField(max_length=120)
    last_name = models.CharField(max_length=120)
    email = models.EmailField(max_length=120)
    register_date = models.DateTimeField(auto_now=True)
    paid = models.BooleanField(default=False)
    duration = models.DurationField(null=True)
